1. Pre-warmup
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
      GET
    • Order pre-warmedup mailboxes
      POST
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Pre-warmup

Get all pre warmed up mailboxes

GET
/pre-warmup
Get the available pre-warmed up mailboxes inventory.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://customers.coldmailreseller.com/api/v1/integration/pre-warmup?serviceProvider=GOOGLE&page=1&limit=100&contains=' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Body

Example
{
    "message": "Pre-warmed up domains fetched successfully",
    "data": {
        "inventory": [
            {
                "domain": "example.com",
                "preWarmedUpMailboxes": [
                    {
                        "email": "yasmeen.king@example.com",
                        "firstName": "Yasmeen",
                        "lastName": "King",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg",
                        "createdAt": "2025-09-26T08:53:51.641Z"
                    },
                    {
                        "email": "yasmeen.king@example.com",
                        "firstName": "Yasmeen",
                        "lastName": "King",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg",
                        "createdAt": "2025-09-26T08:53:51.641Z"
                    },
                    {
                        "email": "yasmeen.king@example.com",
                        "firstName": "Yasmeen",
                        "lastName": "King",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg",
                        "createdAt": "2025-09-26T08:53:51.641Z"
                    }
                ],
                "purchasePrice": 30,
                "renewalPrice": 15
            },
            {
                "domain": "example2.com",
                "preWarmedUpMailboxes": [
                    {
                        "email": "yvonne.lesch@example2.com",
                        "firstName": "Yvonne",
                        "lastName": "Lesch",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/Olivia-Williams-default-1756417024026.jpg",
                        "createdAt": "2025-09-26T15:19:40.220Z"
                    },
                    {
                        "email": "taylor.orn@example2.com",
                        "firstName": "Taylor",
                        "lastName": "Orn",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg",
                        "createdAt": "2025-09-26T11:16:24.724Z"
                    },
                    {
                        "email": "keshawn.abbott-christiansen@example2.com",
                        "firstName": "Keshawn",
                        "lastName": "Abbott-Christiansen",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/Olivia-Williams-default-1756417024026.jpg",
                        "createdAt": "2025-09-26T11:01:29.658Z"
                    }
                ],
                "purchasePrice": 30,
                "renewalPrice": 15
            },
            {
                "domain": "example3.com",
                "preWarmedUpMailboxes": [
                    {
                        "email": "marcus.brown@example3.com",
                        "firstName": "Marcus",
                        "lastName": "Brown",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg",
                        "createdAt": "2025-09-26T22:29:50.981Z"
                    },
                    {
                        "email": "marcus.brown@example3.com",
                        "firstName": "Marcus",
                        "lastName": "Brown",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/Olivia-Williams-default-1756417024026.jpg",
                        "createdAt": "2025-09-26T22:29:50.981Z"
                    },
                    {
                        "email": "marcus.brown@example3.com",
                        "firstName": "Marcus",
                        "lastName": "Brown",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/Olivia-Williams-default-1756417024026.jpg",
                        "createdAt": "2025-09-26T22:29:50.981Z"
                    }
                ],
                "purchasePrice": 30,
                "renewalPrice": 15
            }
        ],
        "currentPage": 1,
        "totalPages": 20,
        "totalMailboxes": 180
    }
}
Modified at 2026-01-09 18:17:29
Previous
Re-export a mailbox (Oauth)
Next
Order pre-warmedup mailboxes
Built with